<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']= 'Подарки';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();

$cat = mysql_query("SELECT * FROM `pod_cat`");

if ($user['id']<=3){ 

echo '<div class="busi">';

echo '<img src="img.png" alt="."/> Админка > Добавить категорию<br/>';

echo '</div>';

echo '<div class="p_m">';

if (isset($_POST['submit'])){

$name = mysql_real_escape_string($_POST['name']);

$str_name = strlen($name);

$cena = intval($_POST['cena']);

if (!$name || !$cena){

echo 'Некорректное название или цена.<br/>';

}else{

if ($str_name<5 || $str_name>32){

echo 'Название категории должно быть больше 5 и меньше 32 символов.<br/>';

}else{

echo 'Категория успешно создана.<br/>';

mysql_query("INSERT INTO `pod_cat` (`name`, `cena`, `time`) VALUES ('".$name."', '".$cena."', '".time()."');");

}

}

}else{

echo '<form action="/pod/new_cat.php" method="post">';

echo 'Название (5 - 32 симв.):<br/>';
echo '<input type="text" name="name" value=""/><br/>';

echo 'Цена категории:<br/><font color="red">будет добавлятся к основной цене подарка, который будет находится в данной категории. Если хотите чтобы не добавлялось к подаркам ничего, тогда просто напишите 0.</fon><br/>';
echo '<input type="text" name="cena" value=""/><br/>';

echo '<input type="submit" name="submit" value="Далее"/>';

}

echo '</div>';

echo '<div class="foot">';

echo '<img src="/style/icons/back.png" alt="."/> <a href="/pod/admin.php">Админка</a><br/>';

echo '</div>';

}else{

header("Location: /pod/");

}

include_once '../sys/inc/tfoot.php';
?>